> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Deactivate Stake Request

> Create deactivate stake request transaction.



## OpenAPI

````yaml POST /api/v1/solana/{network}/staking/deactivate
openapi: 3.0.0
info:
  title: Staking API
  description: API used for staking
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.p2p.org/api
security:
  - bearer: []
tags:
  - name: Aptos
    description: Aptos staking operations (stake, unstake, withdraw, claim).
  - name: Celestia
    description: Celestia staking operations (stake, unstake, redelegate, claim).
  - name: Cosmos
    description: Cosmos Hub staking operations (stake, unstake, redelegate, claim).
  - name: EigenLayer
    description: EigenLayer restaking operations.
  - name: Ethereum
    description: Ethereum staking operations (direct, SSV, pooled).
  - name: Hyperliquid
    description: Hyperliquid staking operations.
  - name: Monad
    description: Monad staking operations (delegate, undelegate, withdraw).
  - name: P2P SSV
    description: P2P-managed SSV validator operations (deposit, claim, withdraw).
  - name: Polkadot
    description: Polkadot staking and nomination pool operations.
  - name: Polygon
    description: Polygon staking operations.
  - name: Pooled Staking
    description: Pooled staking vault operations (deposit, unstake, withdraw).
  - name: Sei
    description: Sei staking operations (stake, unstake, redelegate, claim).
  - name: Solana
    description: Solana staking operations (stake, split, merge, deactivate, withdraw).
  - name: SSV
    description: SSV network validator operations.
  - name: Story
    description: Story network staking operations.
  - name: Sui
    description: Sui staking operations.
  - name: TON
    description: TON staking operations (single nominator, whales pool).
  - name: TRON
    description: TRON staking operations (freeze, delegate, vote, withdraw).
  - name: Unified
    description: Unified multi-chain staking interface.
paths:
  /api/v1/solana/{network}/staking/deactivate:
    post:
      tags:
        - Solana
      summary: Create Deactivate Stake Request
      description: Create deactivate stake request transaction.
      operationId: solana-staking-deactivate
      parameters:
        - name: network
          required: true
          in: path
          description: >-
            <p>Solana network:</p><ul><li>`mainnet-beta` — production
            network.</li><li>`testnet` — testnet.</li></ul>
          schema:
            enum:
              - mainnet-beta
              - testnet
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SolanaDeactivateRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponse'
                  - type: object
                    properties:
                      result:
                        $ref: '#/components/schemas/SolanaDeactivateResult'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearer: []
components:
  schemas:
    SolanaDeactivateRequest:
      type: object
      properties:
        feePayer:
          type: string
          description: Account address that will pay the fee for the transaction.
          example: 9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw
        nonceAccount:
          type: string
          description: Account address that keeps the value of the nonce.
          example: 9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw
        computeUnitLimit:
          type: integer
          format: int64
          description: >-
            Maximum computational effort limit for the transaction measured in
            compute units.
          minimum: 1
          example: 300
        computeUnitPrice:
          type: integer
          format: int64
          description: >-
            Price of a compute unit for the transaction in micro-lamports (1
            lamport = 10⁶ micro-lamports).
          minimum: 1
          example: 20000
        stakeAccount:
          type: string
          description: Account address that stores tokens for staking.
          example: 9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw
        stakeAuthority:
          type: string
          description: >-
            Account address that can perform staking operations with staking
            account.
          example: 9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw
      required:
        - feePayer
        - stakeAccount
        - stakeAuthority
    SuccessResponse:
      type: object
      properties:
        error:
          type: object
          nullable: true
          default: null
          description: Error object. Always null on successful responses.
        result:
          type: object
          description: Response payload containing the requested data.
      description: Standard API success response envelope wrapping the result payload.
      required:
        - error
        - result
    SolanaDeactivateResult:
      type: object
      properties:
        feePayer:
          type: string
          description: Account address that will pay the fee for the transaction.
          example: 9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw
        stakeAccount:
          type: string
          description: Account address that stores tokens for staking.
          example: Fw82VhehY4yazX6tcZfNQWTsqHDSXaGmwVkbJYegDMbG
        stakeAuthority:
          type: string
          description: >-
            Account address that can perform staking operations with staking
            account.
          example: 9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw
        unsignedTransaction:
          type: string
          description: >-
            Unsigned transaction in Base64 encrypted format. Sign the
            transaction and submit it to the blockchain to perform the called
            action.
          example: >-
            AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAcJjkQt4XcX43Vk8FZ7QbUVXSF5oo9jt7x2Dm0E9ut/y+jagnMHpK8BDHt0PpssHwXGD2fBxS6MWBoxptD2u9TvrgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA1NjSeWM5+GSJdoQd43Al9SVVXC9FfWGwbe7icpomwAUGodgXkTdUKpg0N73+KnqyVX9TXIp4citopJ3AAAAAAAah2BelAgULaAeR5s5tuI4eW3FQ9h/GeQpOtNEAAAAABqfVFxjHdMkoVmOYaR1etoteuKObS21cc1VbIQAAAAAGp9UXGSxcUSGMyUw9SvF/WNruCJuh/UTj29mKAAAAAAan1RcZNYTQ/u2bs0MdEyBr5UQoG1e4VmzFN1/0AAAAijW940iwWddz25ZC37fI0ue5fa+eTbC2ynBM3b0t4pcDAgMAAQBgAwAAAI5ELeF3F+N1ZPBWe0G1FV0heaKPY7e8dg5tBPbrf8voBAAAAAAAAABzZWVkgJaYAAAAAADIAAAAAAAAAAah2BeRN1QqmDQ3vf4qerJVf1NcinhyK2ikncAAAAAABAIBB3QAAAAAjkQt4XcX43Vk8FZ7QbUVXSF5oo9jt7x2Dm0E9ut/y+iORC3hdxfjdWTwVntBtRVdIXmij2O3vHYObQT263/L6AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQGAQMGCAUABAIAAAA=
        createdAt:
          format: date-time
          type: string
          description: Timestamp of the transaction in the ISO 8601 format.
          example: '2023-08-24T08:14:50.455Z'
      required:
        - feePayer
        - unsignedTransaction
        - createdAt
  responses:
    TooManyRequests:
      description: >-
        Too Many Requests — the client exceeded its rate limit. The response
        advertises when to retry and the active quota via headers.
      headers:
        Retry-After:
          description: Number of seconds to wait before retrying the request.
          schema:
            type: integer
            example: 60
        RateLimit-Limit:
          description: >-
            The request quota (maximum number of requests) for the most
            restrictive applicable window.
          schema:
            type: integer
            example: 120
        RateLimit-Reset:
          description: >-
            Number of seconds until the rate-limit window resets and requests
            are accepted again.
          schema:
            type: integer
            example: 60
        RateLimit-Policy:
          description: >-
            The active rate-limit policy as `<limit>;w=<window-seconds>`,
            comma-separated when multiple windows apply.
          schema:
            type: string
            example: 120;w=60
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: integer
                  name:
                    type: string
                    example: ThrottlerException
                  message:
                    type: string
                    example: ThrottlerException
                  errors:
                    type: array
                    nullable: true
                    items:
                      type: object
              result:
                type: object
                nullable: true
                example: null
              requestId:
                type: string
                description: >-
                  Identifier of the request (the `x-request-id` header). Quote
                  this value to correlate the response with server logs.
                example: 90c16e9e-6e99-4651-a033-60290356df2f
              timestamp:
                type: string
                format: date-time
                description: ISO 8601 timestamp of when the error response was generated.
                example: '2026-05-20T22:29:03.126Z'
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

## Related topics

- [deactivate()](/docs/staking-sdk-solana-deactivate.md)
- [Create Reactivate Stake Request](/reference/aptos-staking-delegated-reactivate.md)
- [Withdrawal](/docs/withdrawal-solana.md)
- [Sign and Broadcast Transaction](/docs/signing-transaction-solana.md)
- [stake()](/docs/staking-sdk-solana-stake.md)
